Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class ApplicationProperties

    java.lang.Object
      edu.stanford.smi.protege.util.ApplicationProperties

    public class ApplicationProperties

extends Object

Utility class for accessing system properties and properties from the application properties file.

Author:
  Ray Fergerson, Jennifer Vendetti

Field Summary
`static String` | `APPLICATION_INSTALL_DIRECTORY`
`static String` | `BROWSER`
`static String` | `CURRENT_WORKING_DIRECTORY`
`static String` | `EXTRA_MANIFEST_PATH`
`static String` | `FILE_NAME`
`static String` | `LAST_FILE_DIRECTORY`
`static String` | `LAST_LOADED_URI`
`static String` | `LOG_DEBUG_PROPERTY`
`static String` | `LOG_FILE_PROPERTY`
`static String` | `LOOK_AND_FEEL`
`static String` | `MAIN_FRAME_RECTANGLE`
`static String` | `MRU_PROJECTS`
`static String` | `NEXT_FRAME_NUMBER`
`static String` | `PROPERTIES_IN_USER_HOME`
`static String` | `REMOTE_CLIENT_PRELOAD`
`static String` | `SORT_CLASS_TREE`
`static String` | `SORT_SLOTS_TREE`
`static String` | `URL_CONNECT_READ_TIMEOUT`
`static String` | `URL_CONNECT_TIMEOUT`
`static String` | `USERS_HOME_DIRECTORY`
`static String` | `WELCOME_DIALOG`
`static String` | `WELCOME_DIALOG_START_IN_SERVER_PANEL`

Constructor Summary
`ApplicationProperties()`

Method Summary
`static void` | `addProjectToMRUList(URI uri)`
`static void` | `flush()`
`static String` | `getAllHelpURLString()`
`static File` | `getApplicationDirectory()`
`static String` | `getApplicationOrSystemProperty(String name)`
`static String` | `getApplicationOrSystemProperty(String name, String defaultValue)`
`static Properties` | `getApplicationProperties()`
`static boolean` | `getBooleanProperty(String name, boolean defaultValue)`
`static String` | `getBrowser()`
`static String` | `getExtraManifestPath()`
`static String` | `getFAQURLString()`
`static String` | `getGettingStartedURLString()`
`static String` | `getHowToCiteProtegeURLString()`
`static int` | `getIntegerProperty(String name, int defaultValue)`
`static File` | `getLastFileDirectory()`
`static URI` | `getLastLoadeURI()`
`static Locale` | `getLocale()`
`static File` | `getLogFileDirectory()`
`static String` | `getLookAndFeelClassName()`
`static List` | `getMRUProjectList()`
`static int` | `getOldNextFrameNumber()`
`static String` | `getOntology101URLString()`
`static boolean` | `getPrettyPrintSlotWidgetLabels()`
`static boolean` | `getSortClassTreeOption()`
`static boolean` | `getSortSlotTreeOption()`
`static String` | `getString(String name)`
`static String` | `getString(String name, String defaultValue)`
`static int` | `getUrlConnectReadTimeout()`
`static int` | `getUrlConnectTimeout()`
`static String` | `getUserName()`
`static String` | `getUsersGuideURLString()`
`static boolean` | `getWelcomeDialogShow()`
`static boolean` | `isAutosynchronizingClsTrees()`
`static void` | `recordMainFrameProperties(Frame mainFrame)`
`static void` | `restoreMainFrameProperties(Frame mainFrame)`
`static void` | `setAutosynchronizingClsTrees(boolean b)`
`static void` | `setBoolean(String name, boolean value)`
`static void` | `setInt(String name, int value)`
`static void` | `setLastFileDirectory(File directory)`
`static void` | `setLastLoadedURI(URI uri)`
`static void` | `setLocale(Locale locale)`
`static void` | `setLookAndFeel(String lookAndFeelName)`
`static void` | `setPrettyPrintSlotWidgetLabels(boolean b)`
`static void` | `setSortClassTreeOption(boolean classTreeSorted)`
`static void` | `setSortSlotTreeOption(boolean propertiesTreeSorted)`
`static void` | `setString(String name, String value)`
`static void` | `setUrlConnectReadTimeout(int timeout)` Sets the connect read timeout.
`static void` | `setUrlConnectTimeout(int timeout)` Sets the connect timeout.
`static void` | `setUserName(String name)`
`static void` | `setWelcomeDialogShow(boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILE_NAME

    public static final String FILE_NAME

See Also:
  Constant Field Values

### NEXT_FRAME_NUMBER

    public static final String NEXT_FRAME_NUMBER

See Also:
  Constant Field Values

### APPLICATION_INSTALL_DIRECTORY

    public static final String APPLICATION_INSTALL_DIRECTORY

See Also:
  Constant Field Values

### LAST_FILE_DIRECTORY

    public static final String LAST_FILE_DIRECTORY

See Also:
  Constant Field Values

### LAST_LOADED_URI

    public static final String LAST_LOADED_URI

See Also:
  Constant Field Values

### CURRENT_WORKING_DIRECTORY

    public static final String CURRENT_WORKING_DIRECTORY

See Also:
  Constant Field Values

### USERS_HOME_DIRECTORY

    public static final String USERS_HOME_DIRECTORY

See Also:
  Constant Field Values

### PROPERTIES_IN_USER_HOME

    public static final String PROPERTIES_IN_USER_HOME

See Also:
  Constant Field Values

### EXTRA_MANIFEST_PATH

    public static final String EXTRA_MANIFEST_PATH

See Also:
  Constant Field Values

### MRU_PROJECTS

    public static final String MRU_PROJECTS

See Also:
  Constant Field Values

### WELCOME_DIALOG

    public static final String WELCOME_DIALOG

See Also:
  Constant Field Values

### WELCOME_DIALOG_START_IN_SERVER_PANEL

    public static final String WELCOME_DIALOG_START_IN_SERVER_PANEL

See Also:
  Constant Field Values

### MAIN_FRAME_RECTANGLE

    public static final String MAIN_FRAME_RECTANGLE

See Also:
  Constant Field Values

### LOOK_AND_FEEL

    public static final String LOOK_AND_FEEL

See Also:
  Constant Field Values

### BROWSER

    public static final String BROWSER

See Also:
  Constant Field Values

### LOG_FILE_PROPERTY

    public static final String LOG_FILE_PROPERTY

See Also:
  Constant Field Values

### LOG_DEBUG_PROPERTY

    public static final String LOG_DEBUG_PROPERTY

See Also:
  Constant Field Values

### REMOTE_CLIENT_PRELOAD

    public static final String REMOTE_CLIENT_PRELOAD

See Also:
  Constant Field Values

### URL_CONNECT_TIMEOUT

    public static final String URL_CONNECT_TIMEOUT

See Also:
  Constant Field Values

### URL_CONNECT_READ_TIMEOUT

    public static final String URL_CONNECT_READ_TIMEOUT

See Also:
  Constant Field Values

### SORT_CLASS_TREE

    public static final String SORT_CLASS_TREE

See Also:
  Constant Field Values

### SORT_SLOTS_TREE

    public static final String SORT_SLOTS_TREE

See Also:
  Constant Field Values

Constructor Detail

### ApplicationProperties

    public ApplicationProperties()

Method Detail

### setLookAndFeel

    public static void setLookAndFeel(String lookAndFeelName)

### getLookAndFeelClassName

    public static String getLookAndFeelClassName()

### addProjectToMRUList

    public static void addProjectToMRUList(URI uri)

### flush

    public static void flush()

### getLogFileDirectory

    public static File getLogFileDirectory()

### getApplicationDirectory

    public static File getApplicationDirectory()

### getExtraManifestPath

    public static String getExtraManifestPath()

### getIntegerProperty

    public static int getIntegerProperty(String name,
                                         int defaultValue)

### getBooleanProperty

    public static boolean getBooleanProperty(String name,
                                             boolean defaultValue)

### getMRUProjectList

    public static List getMRUProjectList()

  Returns:
    List of URI's for MRU projects

### getOldNextFrameNumber

    public static int getOldNextFrameNumber()

### getBrowser

    public static String getBrowser()

### getApplicationProperties

    public static Properties getApplicationProperties()

### getApplicationOrSystemProperty

    public static String getApplicationOrSystemProperty(String name)

### getApplicationOrSystemProperty

    public static String getApplicationOrSystemProperty(String name,
                                                        String defaultValue)

### getString

    public static String getString(String name)

### getString

    public static String getString(String name,
                                   String defaultValue)

### recordMainFrameProperties

    public static void recordMainFrameProperties(Frame mainFrame)

### restoreMainFrameProperties

    public static void restoreMainFrameProperties(Frame mainFrame)

### setInt

    public static void setInt(String name,
                              int value)

### setBoolean

    public static void setBoolean(String name,
                                  boolean value)

### setString

    public static void setString(String name,
                                 String value)

### getWelcomeDialogShow

    public static boolean getWelcomeDialogShow()

### setUserName

    public static void setUserName(String name)

### setWelcomeDialogShow

    public static void setWelcomeDialogShow(boolean b)

### isAutosynchronizingClsTrees

    public static boolean isAutosynchronizingClsTrees()

### setAutosynchronizingClsTrees

    public static void setAutosynchronizingClsTrees(boolean b)

### getGettingStartedURLString

    public static String getGettingStartedURLString()

### getFAQURLString

    public static String getFAQURLString()

### getUsersGuideURLString

    public static String getUsersGuideURLString()

### getAllHelpURLString

    public static String getAllHelpURLString()

### getOntology101URLString

    public static String getOntology101URLString()

### getHowToCiteProtegeURLString

    public static String getHowToCiteProtegeURLString()

### getUserName

    public static String getUserName()

### getLocale

    public static Locale getLocale()

### setLocale

    public static void setLocale(Locale locale)

### getPrettyPrintSlotWidgetLabels

    public static boolean getPrettyPrintSlotWidgetLabels()

### setPrettyPrintSlotWidgetLabels

    public static void setPrettyPrintSlotWidgetLabels(boolean b)

### getLastFileDirectory

    public static File getLastFileDirectory()

### setLastFileDirectory

    public static void setLastFileDirectory(File directory)

### getLastLoadeURI

    public static URI getLastLoadeURI()

### setLastLoadedURI

    public static void setLastLoadedURI(URI uri)

### getUrlConnectTimeout

    public static int getUrlConnectTimeout()

  Returns:
    The URL connect timeout in seconds as set in the protege.properties file for the property url.connect.timeout. It returns the default value 15 seconds, if the url connect property is not set in protege.properties.

### setUrlConnectTimeout

    public static void setUrlConnectTimeout(int timeout)

  Sets the connect timeout. This value is written to the protege.properties file when the project is saved as:

  url.connect.timeout=timeout

  Parameters:
    `timeout` - in seconds.

### getUrlConnectReadTimeout

    public static int getUrlConnectReadTimeout()

  Returns:
    The URL connect read timeout in seconds as set in the protege.properties file for the property url.connect.read.timeout. It returns the default value 15 seconds, if the url connect read property is not set in protege.properties.

### setUrlConnectReadTimeout

    public static void setUrlConnectReadTimeout(int timeout)

  Sets the connect read timeout. This value is written to the protege.properties file when the project is saved as:

  url.connect.read.timeout=timeout

  Parameters:
    `timeout` - in seconds.

### setSortClassTreeOption

    public static void setSortClassTreeOption(boolean classTreeSorted)

### setSortSlotTreeOption

    public static void setSortSlotTreeOption(boolean propertiesTreeSorted)

### getSortClassTreeOption

    public static boolean getSortClassTreeOption()

### getSortSlotTreeOption

    public static boolean getSortSlotTreeOption()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.